#include <stdlib.h>
#include <string.h>
#include <GL/gl.h>

/* Item of the vertex buffer: coord and data */
typedef struct {
	int type;           /* primitive type, e.g. GL_LINES */
	GLint vx_start;     /* index to the first vertex in the vertbuf */
	GLsizei vx_len;     /* number of vertices */
	GLuint txtid;       /* texture ID */
	GLfloat r, g, b, a;
} prim_t;

#define GVT(x) vtpr_ ## x
#define GVT_ELEM_TYPE prim_t
#define GVT_SIZE_TYPE size_t
#define GVT_DOUBLING_THRS 256
#define GVT_START_SIZE 16
#define GVT_FUNC
#define GVT_SET_NEW_BYTES_TO 0
#include <genvector/genvector_impl.h>
#define GVT_REALLOC(vect, ptr, size)  realloc(ptr, size)
#define GVT_FREE(vect, ptr)           free(ptr)
#include <genvector/genvector_undef.h>
