/* c89-portable version of strdup() */
char *mbtk_strdup(const char *s);

/* Report an error to stderr, similar to fprintf(stderr, fmt, ...);
   can be used to set a breakpoint in debugger */
void mbtk_error(const char *fmt, ...);

/* Report a warning to stderr, similar to fprintf(stderr, fmt, ...);
   can be used to set a breakpoint in debugger */
void mbtk_warning(const char *fmt, ...);


#define MBTK_MAX(a, b) (((a) > (b)) ? (a) : (b))
#define MBTK_MIN(a, b) (((a) < (b)) ? (a) : (b))
