#ifndef MBTK_BACKEND_COMMON_FD_WATCH
#define MBTK_BACKEND_COMMON_FD_WATCH

#include <genvector/vtl0.h>
#include "../../global_typedefs.h"
#include "../../event.h"

typedef struct {
	vtl0_t rd, wr;
	long last; /* highest numbered fd ever */
} mbtk_watch_fd_t;

void mbtk_watch_fd_set(mbtk_watch_fd_t *ctx, int fd, int for_read, int for_write);

int mbtk_watch_fd_select(mbtk_watch_fd_t *ctx, mbtk_event_t *dst, long *usec, mbtk_window_t *win);

void mbtk_watch_fd_uninit(mbtk_watch_fd_t *ctx);

#endif
