#ifndef LIBMBTK_MACRO_MAGIC_H
#define LIBMBTK_MACRO_MAGIC_H

/* preprocessor MBTK_FOR_EACH(action, x, ...) implementation
   Based on the idea by Laurent Deniau */

#define MBTK_FOR_EACH_MACRO_1(action, x) action(x)
#define MBTK_FOR_EACH_MACRO_2(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_1(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_3(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_2(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_4(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_3(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_5(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_4(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_6(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_5(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_7(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_6(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_8(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_7(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_9(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_8(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_10(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_9(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_11(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_10(action,  __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_12(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_11(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_13(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_12(action,  __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_14(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_13(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_15(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_14(action,  __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_16(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_15(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_17(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_16(action,  __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_18(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_17(action,  __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_19(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_18(action,  __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_20(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_19(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_21(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_20(action,  __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_22(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_21(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_23(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_22(action,  __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_24(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_23(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_25(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_24(action,  __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_26(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_25(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_27(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_26(action,  __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_28(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_27(action,  __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_29(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_28(action,  __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_30(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_29(action, __VA_ARGS__)
#define MBTK_FOR_EACH_MACRO_31(action, x, ...) action(x); MBTK_FOR_EACH_MACRO_30(action,  __VA_ARGS__)

#define MBTK_FOR_EACH_NARG(...)  MBTK_FOR_EACH_NARG_(__VA_ARGS__, MBTK_FOR_EACH_REVSEQ_N())
#define MBTK_FOR_EACH_NARG_(...) MBTK_FOR_EACH_ARG_N(__VA_ARGS__)
#define MBTK_FOR_EACH_ARG_N(_1, _2, _3, _4, _5, _6, _7, _8, _9, _10, _11, _12, _13, _14, _15, _16, _17, _18, _19, _20, _21, _22, _23, _24, _25, _26, _27, _28, _29, _30, _31, N, ...) N, #__VA_ARGS__
#define MBTK_FOR_EACH_REVSEQ_N() 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0

#define MBTK_CONCAT2(arg1, arg2, ignore)  arg1##arg2
#define MBTK_CONCAT1(arg1, arg2, ignore)  MBTK_CONCAT2(arg1, arg2, ignore)
#define MBTK_CONCAT(arg1, arg2, ignore)  MBTK_CONCAT1(arg1, arg2, ignore)


#define MBTK_FOR_EACH_(N, action, x, ...) MBTK_CONCAT(MBTK_FOR_EACH_MACRO_, N)(action, x, __VA_ARGS__)
#define MBTK_FOR_EACH(action, x, ...) MBTK_FOR_EACH_(MBTK_FOR_EACH_NARG(x, __VA_ARGS__), action, x, __VA_ARGS__)

#endif
